> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountsea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 上传音频

> 上传音频文件到 Suno 以进行后续处理

通过提供音频的 URL 上传音频文件。Suno 将下载并处理该文件。上传的音频随后可在 [Generate](/zh/api-reference/suno/generate) 端点中配合 `upload_extend` 或 `upload_cover` 任务使用。

<Info>
  这是一个异步任务。响应包含一个 `taskId` — 使用[获取任务状态](/zh/api-reference/suno/task)轮询上传结果，结果将包含后续操作所需的 `clip_id`。
</Info>

<Tip>
  `audioUrl` 必须是我们服务器可以下载的公开可访问 URL。支持的格式包括 MP3、WAV 和其他常见音频格式。
</Tip>

<Warning>
  单次上传每次可能落在**不同 Suno 账号**。若需**多个文件同账号**（Inspiration、Persona 等），请使用 [批量上传 Session](/zh/api-reference/suno/uploadSession)。
</Warning>


## OpenAPI

````yaml POST /suno/v2/upload
openapi: 3.0.0
info:
  title: Suno AI
  description: API documentation for Suno AI
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.mountsea.ai
    description: API Gateway
security: []
tags:
  - name: suno
    description: ''
paths:
  /suno/v2/upload:
    post:
      tags:
        - suno
      summary: upload audio to suno
      description: upload audio to suno
      operationId: ApiPublicController_uploadFile
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadFileDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskIdDto'
      security:
        - bearerAuth: []
components:
  schemas:
    UploadFileDto:
      type: object
      properties:
        audioUrl:
          type: string
          format: uri
          description: The audio url to upload, must be a url that we can download
      required:
        - audioUrl
    TaskIdDto:
      type: object
      properties:
        taskId:
          type: string
          description: task id. Use this id to query task status.
          example: 15c257ff-43f7-4678-bd41-202ad6b8488b
      required:
        - taskId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````